Bug 17670 - unicode-bidi value combination of "bidi-override" and "isolate" has been renamed to "isolate-override"
unicode-bidi value combination of "bidi-override" and "isolate" has been rena...
Status: CLOSED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
All All
: P2 normal
: ---
Assigned To: Robin Berjon
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 14:48 UTC by Aharon Lanin
Modified: 2012-10-06 16:58 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aharon Lanin 2012-07-02 14:48:05 UTC
http://www.whatwg.org/specs/web-apps/current-work/#bidirectional-text currently states:

bdo[dir=auto i] { unicode-bidi: bidi-override isolate; }

The CSS spec has been changed in this respect. http://dev.w3.org/csswg/css3-writing-modes/#unicode-bidi now defines the possibilities for unicode-bidi to be

normal | embed | isolate | bidi-override | isolate-override | plaintext

Thus, http://www.whatwg.org/specs/web-apps/current-work/#bidirectional-text should be changed to state:

bdo[dir=auto i] { unicode-bidi: isolate-override; }
Comment 1 contributor 2012-07-18 07:12:18 UTC
This bug was cloned to create bug 17886 as part of operation convergence.
Comment 2 Silvia Pfeiffer 2012-10-06 00:38:06 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description:
https://github.com/w3c/html/commit/78eb7a161f9fa187ca472aeb2a4ab1475381268f
Rationale: accepted WHATWG change